<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Altered the entity DashboardComponent.
        #1 Drop targetDashboardComponent
    -->
    <changeSet id="20250318024600-1" author="omg">
    	<!-- Step 1: Drop FK -->
    	<dropForeignKeyConstraint
            baseTableName="dashboard_component"
            constraintName="fk_dashboard_component__target_dashboard_component_id"/>
            
    	<!-- Step 1: Drop column -->
        <dropColumn
            tableName="dashboard_component"
            columnName="target_dashboard_component_id"/>
	    
    </changeSet>
</databaseChangeLog>
